Package org.apache.tools.ant.types

# Class Commandline.Marker

java.lang.Object
org.apache.tools.ant.types.Commandline.Marker

Enclosing class:
  Commandline

    public class Commandline.Marker
    extends java.lang.Object

Class to keep track of the position of an Argument.

This class is there to support the srcfile and targetfile elements of <apply>.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getPosition()` | Return the number of arguments that preceded this marker.
`java.lang.String` | `getPrefix()` | Get the prefix to be placed in front of the inserted argument.
`java.lang.String` | `getSuffix()` | Get the suffix to be placed at the end of the inserted argument.
`void` | `setPrefix​(java.lang.String prefix)` | Set the prefix to be placed in front of the inserted argument.
`void` | `setSuffix​(java.lang.String suffix)` | Set the suffix to be placed at the end of the inserted argument.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPosition

public int getPosition()
Return the number of arguments that preceded this marker.

The name of the executable -- if set -- is counted as the first argument.

Returns:
  the position of this marker.

### setPrefix

public void setPrefix​(java.lang.String prefix)
Set the prefix to be placed in front of the inserted argument.

Parameters:
  `prefix` - fixed prefix string.
Since:
  Ant 1.8.0

### getPrefix

public java.lang.String getPrefix()
Get the prefix to be placed in front of the inserted argument.

Returns:
  String
Since:
  Ant 1.8.0

### setSuffix

public void setSuffix​(java.lang.String suffix)
Set the suffix to be placed at the end of the inserted argument.

Parameters:
  `suffix` - fixed suffix string.
Since:
  Ant 1.8.0

### getSuffix

public java.lang.String getSuffix()
Get the suffix to be placed at the end of the inserted argument.

Returns:
  String
Since:
  Ant 1.8.0